{ pkgs, ... }:

let
  themeFolder = ".local/share/fcitx5/themes/Theme/";
in
{
  i18n.inputMethod = {
    enabled = "fcitx5";
    fcitx5.addons = with pkgs; [ fcitx5-anthy ];
  };

  home.file = {
    "${themeFolder}theme.conf".text = import ./theme.nix;
    "${themeFolder}arrow.png".source = ./arrow.png;
    "${themeFolder}radio.png".source = ./radio.png;
    ".config/fcitx5/conf/classicui.conf".text = "Theme=Theme";
  };
}
